<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// Product Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
	'catproduct_catlogue',
	array(
		'title'         => __( 'Product Categories Section', 'lz-fitness-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'lz_fitness_catproduct_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_catproduct_section_disable',
		array(
			'settings'      => 'lz_fitness_catproduct_section_disable',
			'section'       => 'catproduct_catlogue',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'catproduct', 'catproduct_catlogue', $color='#01beff', get_template_directory_uri().'/images/default-gray.png', 'img');

	
$wp_customize->add_setting(
	'catproduct_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'catproduct_title_subtitle_heading',
		array(
			'settings'      => 'catproduct_title_subtitle_heading',
			'section'       => 'catproduct_catlogue',
			'label'         => __( 'Section Title', 'lz-fitness-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'catproduct_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Product Category', 'lz-fitness-premium' )
	)
);

$wp_customize->add_control(
	'catproduct_title',
	array(
		'settings'      => 'catproduct_title',
		'section'       => 'catproduct_catlogue',
		'type'          => 'text',
		'label'         => __( 'Title', 'lz-fitness-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'catproduct_Heading_color', 'catproduct_catlogue', 'Section Heading color','#fff');

// Heading border color
addColorPalatOption($wp_customize, 'catproduct_HeadingborderColor', 'catproduct_catlogue', 'Section Heading border color', '#fff');
// Heading border icon color
addColorPalatOption($wp_customize, 'catproduct_HeadingbordericonColor', 'catproduct_catlogue', 'Section Heading border icon color', '#fff');

// Category Title color
addColorPalatOption($wp_customize, 'catproduct_CategoryTitle_color', 'catproduct_catlogue', 'Category Title color', '#000');
// Category description color
addColorPalatOption($wp_customize, 'catproduct_text_color', 'catproduct_catlogue', 'Category description color', '#000');


// Category box bg color
addColorPalatOption($wp_customize, 'catproductboxbgcolor', 'catproduct_catlogue', 'Category box background color', '#fff');


// Category Title hover color
addColorPalatOption($wp_customize, 'catproduct_CategoryTitlehover_color', 'catproduct_catlogue', 'Category title hover color', '#fff');

// Category description color
addColorPalatOption($wp_customize, 'catproduct_texthover_color', 'catproduct_catlogue', 'Category description hover color', '#fff');


// Category box bg hover color
addColorPalatOption($wp_customize, 'catproductboxbghovercolor', 'catproduct_catlogue', 'Category box background hover color', '#ff6796');



// prev Button color
addColorPalatOption($wp_customize, 'catproduct_prev', 'catproduct_catlogue', 'Prev button color', '#fff');

// prev Button border color
addColorPalatOption($wp_customize, 'catproduct_prevborder', 'catproduct_catlogue', 'Prev button border color', '#fff');

// next Button color
addColorPalatOption($wp_customize, 'catproduct_next', 'catproduct_catlogue', 'Next button color', '#fff');

// next Button border color
addColorPalatOption($wp_customize, 'catproduct_nextborder', 'catproduct_catlogue', 'Next button border color', '#fff');


// prev Button hover color
addColorPalatOption($wp_customize, 'catproduct_prevhover', 'catproduct_catlogue', 'Prev button hover color', '#ff6796');

// prev Button border hover color
addColorPalatOption($wp_customize, 'catproduct_prevborderhover', 'catproduct_catlogue', 'Prev button border hover color', '#ff6796');

// next Button hover color
addColorPalatOption($wp_customize, 'catproduct_nexthover', 'catproduct_catlogue', 'Next button hover color', '#ff6796');

// next Button border hover color
addColorPalatOption($wp_customize, 'catproduct_nextborderhover', 'catproduct_catlogue', 'Next button border hover color', '#ff6796');

